## kissfft 131.1.0

=== debian/changelog ===
kissfft (131.1.0-4) unstable; urgency=medium

  * Team upload.

  [ Vasyl Gello ]
  * Fix lintian warnings

  [ Dylan Aïssi ]
  * Cherry-pick upstream patch to improve compatibility with cmake 4
  * Update debian/salsa-ci.yml
  * Switch Build-Dep from pkg-config to pkgconf
  * Standards-Version: 4.7.2 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 25 Sep 2025 23:32:11 +0200

kissfft (131.1.0-3) unstable; urgency=medium

  * [DNM] Try unmerged PRs
  * d/watch: Switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 18 Nov 2022 21:57:24 +0000

kissfft (131.1.0-2) unstable; urgency=medium

  * Fix github link in watchfile
  * Bump standards version - no changes required

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 07 Oct 2021 04:48:30 +0000

kissfft (131.1.0-1) unstable; urgency=medium

  * Change watchfile to tagged releases
  * Drop unnecessary patches
  * New upstream version 131.1.0
  * Reflect file name changes in tagged release (and add Breaks against the
    packages that links to it).

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 16 Feb 2021 13:08:39 +0000

kissfft (131+git20201106.cc862cb-2) unstable; urgency=medium

  * Team upload.
  * Tentative fix for FTBFS on kfreebsd.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 21 Jan 2021 22:12:54 +0100

kissfft (131+git20201106.cc862cb-1) unstable; urgency=medium

  * Initial upload (Closes: #950180)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 08 Jan 2021 12:04:27 +0000
